| Home | Libraries | People | FAQ | More

## Struct template rebind

boost::interprocess::private_adaptive_pool<2, T, SegmentManager, NodesPerBlock, MaxFreeBlocks, OverheadPercent>::rebind

## Synopsis

    // In header: <boost/interprocess/allocators/private_adaptive_pool.hpp>

    template<typename T2>
    struct rebind {
      // types
      typedef private_adaptive_pool< T2, SegmentManager, NodesPerBlock, MaxFreeBlocks, OverheadPercent > other;
    };

## Description

Obtains private_adaptive_pool from private_adaptive_pool